Package net.md_5.bungee.api.chat.objects

# Class SpriteObject

java.lang.Object
net.md_5.bungee.api.chat.objects.SpriteObject

All Implemented Interfaces:
  `ChatObject`

public final class SpriteObject extends Object implements ChatObject

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SpriteObject(String atlas, @NonNull String sprite)`
  Creates a new `SpriteObject` instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String`
  `getAtlas()`
  The namespaced ID of a sprite atlas, default value: minecraft:blocks.
  `@NonNull String`
  `getSprite()`
  The namespaced ID of a sprite in atlas, for example item/porkchop.
  `int`
  `hashCode()`
  `void`
  `setAtlas(String atlas)`
  The namespaced ID of a sprite atlas, default value: minecraft:blocks.
  `void`
  `setSprite(@NonNull String sprite)`
  The namespaced ID of a sprite in atlas, for example item/porkchop.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SpriteObject

    public SpriteObject(String atlas, @NonNull @NonNull String sprite)
    Creates a new `SpriteObject` instance.
    Parameters:
      `atlas` - The namespaced ID of a sprite atlas, default value: minecraft:blocks.
      `sprite` - The namespaced ID of a sprite in atlas, for example item/porkchop.

- ## Method Details

  - ### getAtlas

    public String getAtlas()
    The namespaced ID of a sprite atlas, default value: minecraft:blocks.

  - ### getSprite

    @NonNull public @NonNull String getSprite()
    The namespaced ID of a sprite in atlas, for example item/porkchop.

  - ### setAtlas

    public void setAtlas(String atlas)
    The namespaced ID of a sprite atlas, default value: minecraft:blocks.

  - ### setSprite

    public void setSprite(@NonNull @NonNull String sprite)
    The namespaced ID of a sprite in atlas, for example item/porkchop.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`